<?php

namespace Drupal\image_compression\Form;

use Drupal;
use Drupal\Core\Form\FormStateInterface;
use Drupal\Core\Form\ConfigFormBase;

class CompressExistingImages extends ConfigFormBase {

  /**
   * {@inheritdoc}
   */
  public function getFormId()
  {
    return 'existing_image';
  }

  /**
   * {@inheritdoc}
   */
  protected function getEditableConfigNames() {
    return [
      'image_compression.compress',
    ];
  }

   /**
    * {@inheritdoc}
    */
  public function buildForm(array $form, FormStateInterface $form_state)
  {
    $config = $this->config('image_compression.compress');
    $form['field_compress'] = [
      '#type' => 'checkbox',
      '#title' => $this->t('Compress Existing Images'),
      '#default_value' => $config->get('field_compress'),
    ];
    return parent::buildForm($form, $form_state);
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state)
  {
    parent::submitForm($form,$form_state);
    $this->config('image_compression.compress')
      ->set('field_compress', $form_state->getValue('field_compress'))
      ->save();

    $config = $this->config('image_compression.compress');
    $value = $config->get('field_compress');
    if($value == "1") {
    $service = Drupal::service('image_compression.manager');
    $service->compress_images();
    }
    else {
      ;
    }
  }
}
